Debian Bug report logs - #331153
RM: busybox-cvs -- RoQA; RC-buggy, superseded by busybox

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Matt Kraai <kraai@ftbfs.org>

Date: Wed, 6 Jul 2005 02:03:09 UTC

Severity: normal

Tags: patch

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: submit@bugs.debian.org
Subject: FTBFS: Incompatible with dpkg 1.13
Date: Tue, 5 Jul 2005 07:59:46 -0700
[Message part 1 (text/plain, inline)]
Package: busybox-cvs
Version: 20040623-1
Severity: serious
Tags: patch

This package fails to build from source with recent versions of
dpkg-dev:

 cp  .config
 cp: missing destination file
 Try `cp --help' for more information.
 make: *** [build-arch-floppy-udeb-stamp] Error 1

This is because it expects DEB_HOST_GNU_SYSTEM to contain linux,
whereas with new versions of dpkg-dev it contains linux-gnu.  Please
see

 http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html

for more information.

The attached patch fixes it.

-- 
Matt
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 317073@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Matt Kraai <kraai@ftbfs.org>, 317073@bugs.debian.org
Subject: Re: Bug#317073: FTBFS: Incompatible with dpkg 1.13
Date: Wed, 6 Jul 2005 15:03:18 +0300
[Message part 1 (text/plain, inline)]
Matt Kraai wrote:
> Package: busybox-cvs
> Version: 20040623-1
> Severity: serious
> Tags: patch
> 
> This package fails to build from source with recent versions of
> dpkg-dev:
> 
>  cp  .config
>  cp: missing destination file
>  Try `cp --help' for more information.
>  make: *** [build-arch-floppy-udeb-stamp] Error 1
> 
> This is because it expects DEB_HOST_GNU_SYSTEM to contain linux,
> whereas with new versions of dpkg-dev it contains linux-gnu.  Please
> see

The busybox (not -cvs) package has an identical problem BTW.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 317073@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Joey Hess <joeyh@debian.org>
Cc: 317073@bugs.debian.org
Subject: Re: Bug#317073: FTBFS: Incompatible with dpkg 1.13
Date: Wed, 6 Jul 2005 05:50:23 -0700
[Message part 1 (text/plain, inline)]
On Wed, Jul 06, 2005 at 03:03:18PM +0300, Joey Hess wrote:
> Matt Kraai wrote:
> > Package: busybox-cvs
> > Version: 20040623-1
> > Severity: serious
> > Tags: patch
> > 
> > This package fails to build from source with recent versions of
> > dpkg-dev:
> > 
> >  cp  .config
> >  cp: missing destination file
> >  Try `cp --help' for more information.
> >  make: *** [build-arch-floppy-udeb-stamp] Error 1
> > 
> > This is because it expects DEB_HOST_GNU_SYSTEM to contain linux,
> > whereas with new versions of dpkg-dev it contains linux-gnu.  Please
> > see
> 
> The busybox (not -cvs) package has an identical problem BTW.

This must have been fixed recently: busybox 1:1.00-3 uses the new
names.

-- 
Matt
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 317073@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 317073@bugs.debian.org
Subject: Re: FTBFS: Incompatible with dpkg 1.13
Date: Mon, 5 Sep 2005 02:43:05 -0700
[Message part 1 (text/plain, inline)]
There are numerous bugs now that make it impossible to rebuild
busybox-cvs in either etch or sid.  Does anyone really still need this
package, or can it be killed off now?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harald.dunkel@t-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 317073@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harald.dunkel@t-online.de>
To: Steve Langasek <vorlon@debian.org>, 317073@bugs.debian.org
Subject: Re: Bug#317073: FTBFS: Incompatible with dpkg 1.13
Date: Tue, 06 Sep 2005 07:11:55 +0200
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> There are numerous bugs now that make it impossible to rebuild
> busybox-cvs in either etch or sid.  Does anyone really still need this
> package, or can it be killed off now?
> 

I can live with busybox instead. But how is busybox-cvs 20040623-1
related to the busybox 1:1.01-1 package?


Regards

Harri
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 317073@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Steve Langasek <vorlon@debian.org>, 317073@bugs.debian.org
Subject: Re: Bug#317073: FTBFS: Incompatible with dpkg 1.13
Date: Tue, 6 Sep 2005 09:47:02 -0400
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> There are numerous bugs now that make it impossible to rebuild
> busybox-cvs in either etch or sid.  Does anyone really still need this
> package, or can it be killed off now?

Well, busybox-cvs does not have bug #321503 ... Other than that, I am
not attached to it. :-)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#317073; Package busybox-cvs. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 317073@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 317073@bugs.debian.org
Subject: Re: FTBFS: Incompatible with dpkg 1.13
Date: Sat, 1 Oct 2005 14:58:52 -0700
[Message part 1 (text/plain, inline)]
clone 317073 -1
reassign -1 ftp.debian.org
severity -1 normal
retitle -1 RM: busybox-cvs -- RoQA; RC-buggy, superseded by busybox
thanks

Ok, this package is no longer being used by debian-installer now that
busybox meets its needs, which means that busybox-cvs is now in a state of
acute bitrot.  (The giveaway is the 4 RC bugs about build failures...)  The
package is totally superseded by busybox, so please remove it from unstable.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug 317073 cloned as bug 331153. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `busybox-cvs' to `ftp.debian.org'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@ftbfs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 331153-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 331153-close@bugs.debian.org
Cc: busybox-cvs@packages.debian.org, busybox-cvs@packages.qa.debian.org
Subject: Bug#331153: fixed
Date: Sat, 08 Oct 2005 09:59:39 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

busybox-cvs | 20040623-1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
busybox-cvs-floppy-udeb | 20040623-1 | i386
busybox-cvs-static | 20040623-1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
busybox-cvs-udeb | 20040623-1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 331153@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:19:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:39:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.